diff --git a/test/ruby/test_keyword.rb b/test/ruby/test_keyword.rb
index a0459553ac..f6e882a8d4 100644
--- a/test/ruby/test_keyword.rb
+++ b/test/ruby/test_keyword.rb
@@ -24,7 +24,7 @@ def f2(x, str: "foo", num: 424242)
 
   def test_f2
     assert_equal([:xyz, "foo", 424242], f2(:xyz))
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `f2'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `f2'/m) do
       assert_equal([{"bar"=>42}, "foo", 424242], f2("bar"=>42))
     end
   end
@@ -224,10 +224,10 @@ def c.m; end
     def c.m(args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.m(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.m(**kw))
     end
     assert_equal(kw, c.m(kw, **kw))
@@ -248,11 +248,11 @@ def c.m(**args)
     assert_equal(h2, c.m(**h2))
     assert_equal(h3, c.m(**h3))
     assert_equal(h3, c.m(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, c.m(h))
     end
     assert_raise(ArgumentError) { c.m(h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { c.m(h3) }
     end
 
@@ -260,25 +260,25 @@ def c.m(**args)
     def c.m(arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       c.m(**{})
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       c.m(**kw)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.m(**h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.m(a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], c.m(**h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.m(**h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.m(a: 1, **h2))
     end
     assert_equal([h, kw], c.m(h))
@@ -296,11 +296,11 @@ def c.m(arg=1, **args)
     assert_equal([1, h2], c.m(**h2))
     assert_equal([1, h3], c.m(**h3))
     assert_equal([1, h3], c.m(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal([1, h], c.m(h))
     end
     assert_equal([h2, kw], c.m(h2))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal([h2, h], c.m(h3))
     end
   end
@@ -357,11 +357,11 @@ def m(args)
         args
       end
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.m(**{}))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.m(**kw))
     end
     assert_equal(h, c.m(**h))
@@ -383,11 +383,11 @@ def m(**args)
     assert_equal(h2, c.m(**h2))
     assert_equal(h3, c.m(**h3))
     assert_equal(h3, c.m(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, c.m(h))
     end
     assert_raise(ArgumentError) { c.m(h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { c.m(h3) }
     end
 
@@ -398,31 +398,31 @@ def m(arg, **args)
       end
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       c.m(**{})
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       c.m(**kw)
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.m(**h))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.m(a: 1))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], c.m(**h2))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.m(**h3))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.m(a: 1, **h2))
     end
 
@@ -493,11 +493,11 @@ def m(args)
         args
       end
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.m(**{}))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.m(**kw))
     end
     assert_equal(h, c.m(**h))
@@ -519,11 +519,11 @@ def m(**args)
     assert_equal(h2, c.m(**h2))
     assert_equal(h3, c.m(**h3))
     assert_equal(h3, c.m(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, c.m(h))
     end
     assert_raise(ArgumentError) { c.m(h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { c.m(h3) }
     end
 
@@ -534,31 +534,31 @@ def m(arg, **args)
       end
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       c.m(**{})
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       c.m(**kw)
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.m(**h))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.m(a: 1))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], c.m(**h2))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.m(**h3))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.m(a: 1, **h2))
     end
 
@@ -592,10 +592,10 @@ def test_lambda_kwsplat_call
     assert_raise(ArgumentError) { f[**h3] }
 
     f = ->(a) { a }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, f[**{}])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, f[**kw])
     end
     assert_equal(h, f[**h])
@@ -612,34 +612,34 @@ def test_lambda_kwsplat_call
     assert_equal(h2, f[**h2])
     assert_equal(h3, f[**h3])
     assert_equal(h3, f[a: 1, **h2])
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `\[\]'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `\[\]'/m) do
       assert_equal(h, f[h])
     end
     assert_raise(ArgumentError) { f[h2] }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `\[\]'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `\[\]'/m) do
       assert_raise(ArgumentError) { f[h3] }
     end
 
     f = ->(a, **x) { [a,x] }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
       assert_equal([{}, {}], f[**{}])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
       assert_equal([{}, {}], f[**kw])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
       assert_equal([h, {}], f[**h])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
       assert_equal([h, {}], f[a: 1])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
       assert_equal([h2, {}], f[**h2])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
       assert_equal([h3, {}], f[**h3])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `\[\]'/m) do
       assert_equal([h3, {}], f[a: 1, **h2])
     end
 
@@ -670,10 +670,10 @@ def test_lambda_method_kwsplat_call
 
     f = ->(a) { a }
     f = f.method(:call)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, f[**{}])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, f[**kw])
     end
     assert_equal(h, f[**h])
@@ -691,35 +691,35 @@ def test_lambda_method_kwsplat_call
     assert_equal(h2, f[**h2])
     assert_equal(h3, f[**h3])
     assert_equal(h3, f[a: 1, **h2])
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal(h, f[h])
     end
     assert_raise(ArgumentError) { f[h2] }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
       assert_raise(ArgumentError) { f[h3] }
     end
 
     f = ->(a, **x) { [a,x] }
     f = f.method(:call)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([{}, {}], f[**{}])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([{}, {}], f[**kw])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, {}], f[**h])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, {}], f[a: 1])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h2, {}], f[**h2])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, {}], f[**h3])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, {}], f[a: 1, **h2])
     end
 
@@ -751,10 +751,10 @@ def test_Thread_new_kwsplat
     assert_raise(ArgumentError) { t.new(**h3, &f).value }
 
     f = ->(a) { a }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, t.new(**{}, &f).value)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, t.new(**kw, &f).value)
     end
     assert_equal(h, t.new(**h, &f).value)
@@ -771,34 +771,34 @@ def test_Thread_new_kwsplat
     assert_equal(h2, t.new(**h2, &f).value)
     assert_equal(h3, t.new(**h3, &f).value)
     assert_equal(h3, t.new(a: 1, **h2, &f).value)
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal(h, t.new(h, &f).value)
     end
     assert_raise(ArgumentError) { t.new(h2, &f).value }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
       assert_raise(ArgumentError) { t.new(h3, &f).value }
     end
 
     f = ->(a, **x) { [a,x] }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([{}, {}], t.new(**{}, &f).value)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([{}, {}], t.new(**kw, &f).value)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, {}], t.new(**h, &f).value)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, {}], t.new(a: 1, &f).value)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h2, {}], t.new(**h2, &f).value)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, {}], t.new(**h3, &f).value)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, {}], t.new(a: 1, **h2, &f).value)
     end
 
@@ -830,10 +830,10 @@ def test_Fiber_resume_kwsplat
     assert_raise(ArgumentError) { t.new(&f).resume(**h3) }
 
     f = ->(a) { a }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, t.new(&f).resume(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, t.new(&f).resume(**kw))
     end
     assert_equal(h, t.new(&f).resume(**h))
@@ -850,34 +850,34 @@ def test_Fiber_resume_kwsplat
     assert_equal(h2, t.new(&f).resume(**h2))
     assert_equal(h3, t.new(&f).resume(**h3))
     assert_equal(h3, t.new(&f).resume(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal(h, t.new(&f).resume(h))
     end
     assert_raise(ArgumentError) { t.new(&f).resume(h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
       assert_raise(ArgumentError) { t.new(&f).resume(h3) }
     end
 
     f = ->(a, **x) { [a,x] }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([{}, {}], t.new(&f).resume(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([{}, {}], t.new(&f).resume(**kw))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, {}], t.new(&f).resume(**h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, {}], t.new(&f).resume(a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h2, {}], t.new(&f).resume(**h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, {}], t.new(&f).resume(**h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, {}], t.new(&f).resume(a: 1, **h2))
     end
 
@@ -907,10 +907,10 @@ def test_Enumerator_Generator_each_kwsplat
     assert_raise(ArgumentError) { g.new(&f).each(**h3) }
 
     f = ->(_, a) { a }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, g.new(&f).each(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, g.new(&f).each(**kw))
     end
     assert_equal(h, g.new(&f).each(**h))
@@ -927,34 +927,34 @@ def test_Enumerator_Generator_each_kwsplat
     assert_equal(h2, g.new(&f).each(**h2))
     assert_equal(h3, g.new(&f).each(**h3))
     assert_equal(h3, g.new(&f).each(a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal(h, g.new(&f).each(h))
     end
     assert_raise(ArgumentError) { g.new(&f).each(h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
       assert_raise(ArgumentError) { g.new(&f).each(h3) }
     end
 
     f = ->(_, a, **x) { [a,x] }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([{}, {}], g.new(&f).each(**{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([{}, {}], g.new(&f).each(**kw))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, {}], g.new(&f).each(**h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, {}], g.new(&f).each(a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h2, {}], g.new(&f).each(**h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, {}], g.new(&f).each(**h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, {}], g.new(&f).each(a: 1, **h2))
     end
 
@@ -984,10 +984,10 @@ def test_Enumerator_Yielder_yield_kwsplat
     assert_raise(ArgumentError) { g.new{|y| y.yield(**h3)}.each(&f) }
 
     f = ->(a) { a }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, g.new{|y| y.yield(**{})}.each(&f))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, g.new{|y| y.yield(**kw)}.each(&f))
     end
     assert_equal(h, g.new{|y| y.yield(**h)}.each(&f))
